FreeBSD : kf5-kauth -- Insecure handling of arguments in helpers (e8bcac84-2d5c-11e9-9a74-e0d55e2a8bf9)

High Nessus Plugin ID 122086

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Albert Astals Cid reports :

KAuth allows to pass parameters with arbitrary types to helpers
running as root over DBus.

Certain types can cause crashes and trigger decoding arbitrary images
with dynamically loaded plugin

Solution

Update the affected package.

See Also

https://www.kde.org/info/security/advisory-20190209-1.txt

http://www.nessus.org/u?9ed2e4ca

Plugin Details

Severity: High

ID: 122086

File Name: freebsd_pkg_e8bcac842d5c11e99a74e0d55e2a8bf9.nasl

Version: 1.1

Type: local

Published: 2019/02/11

Modified: 2019/02/11

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:kf5-kauth, cpe:/o:freebsd:freebsd

Patch Publication Date: 2019/02/10

Vulnerability Publication Date: 2019/02/09

Reference Information

CVE: CVE-2019-7443